### Method

# Gtk Snapshot append_stroke

since: 4.14

#### Declaration [src]

    void
    gtk_snapshot_append_stroke (
      GtkSnapshot* snapshot,
      GskPath* path,
      const GskStroke* stroke,
      const GdkRGBA* color
    )

#### Description [src]

A convenience method to stroke a path with a color.

See `gtk_snapshot_push_stroke()` if you need to stroke a path with more complex content than a color.

Available since: 4.14

#### Parameters

`path`

  Type: `GskPath`

  The path describing the area to fill.

  The data is owned by the caller of the method.

`stroke`

  Type: `GskStroke`

  The stroke attributes.

  The data is owned by the caller of the method.

`color`

  Type: `GdkRGBA`

  The color to fill the path with.

  The data is owned by the caller of the method.